<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div class="row" style="padding-top: 48px;">
  <div class="col-0">
    <div class="noti-header" style="cursor: pointer;" (click)="backToDashboardPage()">
      <i style="font-size: 20px;cursor: pointer;" class="fa fa-chevron-left"></i>
      การจัดการการแจ้งเตือน
    </div>
    <div class="header-detail">
      สามารถจัดการการแจ้งเตือนที่จะเกิดขึ้นในการปฏิบัติงานแต่ละขั้นตอน
    </div>
  </div>
  <div class="col" style="text-align: right;">
    <button type="button" class="btn btn-cancel" (click)="backpage()">
      ย้อนกลับ
    </button>
    <button type="button" class="btn btn-save" [disabled]="btnSaveState" data-toggle="modal"
      data-target="#confirmModal">
      บันทึก
    </button>
  </div>
</div>
<!-- </div> -->

<br /><br /><br />

<div class="box-dropdown">
  <div class="noti-edit-text container m-0">
    กรุณาระบุการแจ้งเตือนที่ต้องการแก้ไข

    <div class="row">
      <div class="col-md-5 col-12">
        <br />
        <div class="font" style="width: 100%; padding-right: 2%;">
          <div class="label-process">กระบวนการ</div>
          <!-- <input class="form-control serach-in"> -->
          <select class="browser-default custom-select" [(ngModel)]="processSelected">
            <option selected disabled value="null">กรุณาเลือกกระบวนการ</option>
            <option [value]="item.value" *ngFor="let item of process">{{
              item.title
              }}</option>
          </select>
        </div>
      </div>

      <div class="col-md-5 col-12">
        <br />
        <div class="font" style="width: 100%; padding-right: 2%;">
          <div class="label-process">เงื่อนไขการแจ้งเตือน</div>
          <!-- <input class="form-control serach-in"> -->
          <select class="browser-default custom-select" [(ngModel)]="conditionSelected">
            <option selected disabled value="null">กรุณาเลือกเงื่อนไขการแจ้งเตือน</option>
            <option [value]="item.value" *ngFor="let item of condition">{{
              item.title
              }}</option>
          </select>
        </div>
      </div>

      <div class="col-2" style="padding-top: 54px;">
        <button type="button" class="btn btn-search" [disabled]="!processSelected || !conditionSelected"
          (click)="getConfigEmail()">
          ค้นหา
        </button>
      </div>
    </div>
  </div>
</div>
<br /><br /><br />

<div class="box-detail" *ngIf="emailState">
  <div class="text-noti-detail">รายละเอียดการแจ้งเตือน</div>
  <br /><br /><br /><br />

  <!-- <div class="container"> -->
  <div class="row">
    <div class="col-2" style="text-align: right;">
      <span class="text-normal">ถึง :</span>
    </div>
    <div class="col-2">
      <mat-checkbox [checked]="notiData.detail.to.ops" (change)="notiData.detail.to.ops = !notiData.detail.to.ops"><span
          class="text-normal" [ngClass]="
            notiData.detail.to.ops === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
          ">ผู้ปฏิบัติ</span></mat-checkbox>
    </div>

    <div class="col-2">
      <mat-checkbox [checked]="notiData.detail.to.dept" (change)="notiData.detail.to.dept = !notiData.detail.to.dept">
        <span class="text-normal" [ngClass]="
            notiData.detail.to.dept === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
          ">ผู้บริหารฝ่าย</span>
      </mat-checkbox>
    </div>

    <div class="col-2">
      <mat-checkbox [checked]="notiData.detail.to.grp" (change)="notiData.detail.to.grp = !notiData.detail.to.grp">
        <span class="text-normal" [ngClass]="
            notiData.detail.to.grp === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
          ">ผู้บริหารกลุ่ม</span>
      </mat-checkbox>
    </div>

    <div class="col-2">
      <mat-checkbox [checked]="notiData.detail.to.sctr" (change)="notiData.detail.to.sctr = !notiData.detail.to.sctr">
        <span class="text-normal" [ngClass]="
            notiData.detail.to.sctr === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
          ">ผู้บริหารสาย</span>
      </mat-checkbox>
    </div>
  </div>
  <!-- </div> -->
  <br />

  <!-- <div class="container"> -->
  <div class="row">
    <div class="col-2" style="text-align: right;">
      <span class="text-normal">สำเนา :</span>
    </div>
    <div class="col-2">
      <mat-checkbox [checked]="notiData.detail.cc.ops" (change)="notiData.detail.cc.ops = !notiData.detail.cc.ops"><span
          class="text-normal" [ngClass]="
            notiData.detail.cc.ops === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
          ">ผู้ปฏิบัติ
        </span></mat-checkbox>
    </div>

    <div class="col-2">
      <mat-checkbox [checked]="notiData.detail.cc.dept" (change)="notiData.detail.cc.dept = !notiData.detail.cc.dept">
        <span class="text-normal" [ngClass]="
            notiData.detail.cc.dept === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
          ">ผู้บริหารฝ่าย</span>
      </mat-checkbox>
    </div>

    <div class="col-2">
      <mat-checkbox [checked]="notiData.detail.cc.grp" (change)="notiData.detail.cc.grp = !notiData.detail.cc.grp">
        <span class="text-normal" [ngClass]="
            notiData.detail.cc.grp === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
          ">ผู้บริหารกลุ่ม</span>
      </mat-checkbox>
    </div>

    <div class="col-2">
      <mat-checkbox [checked]="notiData.detail.cc.sctr" (change)="notiData.detail.cc.sctr = !notiData.detail.cc.sctr">
        <span class="text-normal" [ngClass]="
            notiData.detail.cc.sctr === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
          ">ผู้บริหารสาย</span>
      </mat-checkbox>
    </div>
  </div>
  <!-- </div> -->
  <br />

  <div class="row">
    <div class="col-2" style="text-align: right;">
      <span class="text-normal">จำนวนวัน :</span>
    </div>
    <div class="col-10">
      <input class="input-date form-control" placeholder="ระบุจำนวนวัน" type="number" min="0" value="0"
        [(ngModel)]="notiData.dateAmount" />
    </div>
  </div>

  <br />

  <div class="row">
    <div class="col-2" style="text-align: right;">
      <span class="text-normal">เรื่อง :</span>
    </div>
    <div class="col-10">
      <input class="input-subject form-control" placeholder="ระบุหัวข้อเรื่อง" [(ngModel)]="notiData.title" />
      <!-- <p>{{ subject }}</p> -->
    </div>
  </div>

  <br />

  <div class="row">
    <div class="col-2" style="text-align: right;">
      <span class="text-normal">ข้อความ :</span>
    </div>
    <div class="col-10">
      <!-- <textarea class="input-detail form-control" rows="4" cols="50" placeholder="ระบุข้อความ" [(ngModel)]="notiData.detail.message"></textarea> -->
      <ckeditor id="editorNew" [editor]="editor" (ready)="onReady($event)" [(ngModel)]="notiData.message"></ckeditor>
      <br>
      <button [ngStyle]="{ display : ClearStatus == false ? 'none' : '' }" class="btn btn-search clear-data"
        data-toggle="modal" data-target="#ClearModal">ล้างข้อมูล</button>
    </div>
  </div>

  <br />
</div>
<br /><br />


<!-- Modal -->
<div class="modal fade" id="confirmModal" tabindex="-1" role="dialog" aria-labelledby="confirmModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" *ngIf="confirmState === 'confirm'">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title text-center" id="confirmModalLable">
          <img src="./assets/img/checkmark-s.png" alt=""> ยืนยันการบันทึกข้อมูล
        </h5>
      </div>
      <div class="modal-body text-center">
        <label class="save-modal text-center">คุณแน่ใจหรือไม่? ว่าต้องการบันทึกข้อมูล <br />
          จัดการการแจ้งเตือน
        </label>
      </div>
      <div class="modal-footer">
        <button mat-flat-button type="button" class="btn btn-back-edit" data-dismiss="modal">
          กลับไปแก้ไข
        </button>
        <button mat-flat-button type="button" class="btn btn-confirm" (click)="save()">
          บันทึกข้อมูล
        </button>

      </div>
    </div>
    <div class="modal-content" *ngIf="confirmState === 'success'">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้บันทึกข้อมูลเรียบร้อยแล้ว</div>
    </div>
  </div>
</div>


<!-- Modal Clear Data -->
<div class="modal fade" id="ClearModal" tabindex="-1" role="dialog" aria-labelledby="ClearModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" *ngIf="ClearStatus === true ">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title text-center" id="confirmModalLable">
          <img src="./assets/img/Alarm-blue.svg" alt=""> ยืนยันการล้างข้อมูล
        </h5>
      </div>
      <div class="modal-body text-center">
        <label class="save-modal text-center">คุณแน่ใจหรือไม่? ว่าต้องการล้างข้อมูล <br />
          จัดการการแจ้งเตือน
        </label>
      </div>
      <div class="modal-footer">
        <button mat-flat-button type="button" class="btn btn-back-edit" data-dismiss="modal">
          กลับไปแก้ไข
        </button>
        <button mat-flat-button type="button" class="btn btn-confirm" (click)="clearDataAfterSearch()">
          ล้างข้อมูล
        </button>

      </div>
    </div>
    <div class="modal-content" *ngIf="ClearStatus === false">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้ล้างข้อมูลเรียบร้อยแล้ว</div>
    </div>
  </div>
</div>